Bug 454733 - Persistent classes do not implement equals() and hashCode()
Persistent classes do not implement equals() and hashCode()
Status: CLOSED DUPLICATE of bug 453183
Product: JBoss Customer Support Portal
Classification: Retired
Component: Other (Show other bugs)
1.3.8
All All
medium Severity medium
: ---
: ---
Assigned To: JBoss CSP Bug Watch List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-09 17:15 EDT by Mike Amburn
Modified: 2008-08-28 08:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-28 08:55:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Amburn 2008-07-09 17:15:08 EDT
Most of our persistent classes (i.e., classes managed by Hibernate) do not implement equals() and hashCode(). These methods are almost always critical for entity types as well as as any class in which instances are stored in a Collection. Documentation on this can be found in the Hibernate reference manual at http://www.hibernate.org/hib_docs/reference/en/html/persistent-classes.html. This article on the Hibernate site, http://www.hibernate.org/109.html also provides some good information.

Frank, I have been working on some test utility code that will be useful for testing equals() and hashCode() as well as other Hibernate code; so, I do not mind assigning this to myself.

----
Data relocated from Jira (JBNET-2161)
Comment 1 John Sanda 2008-08-27 21:54:43 EDT
Please close this bug. It is a duplicate of bug 453183.
Comment 2 Frank Merenda 2008-08-28 08:55:00 EDT

*** This bug has been marked as a duplicate of bug 453183 ***

Note You need to log in before you can comment on or make changes to this bug.